'-----------------------------------------------
'API for TUSB-INS16I Driver
'Visual Basic Module
'
'Jan. 29 2014
'Copyright (C) 2014 Turtle Industry Co.,Ltd.
'-----------------------------------------------

Imports System.Runtime.InteropServices

Module TUSBINSI
    <DllImport("TUSBINSI.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbins16i_Device_Open(ByVal id As Short) As Short
    End Function
    <DllImport("TUSBINSI.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Sub Tusbins16i_Device_Close(ByVal id As Short)
    End Sub
    <DllImport("TUSBINSI.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbins16i_Read(ByVal id As Short, _
                             ByRef dat As Integer) _
                         As Short
    End Function
    <DllImport("TUSBINSI.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbins16i_EdgeSet(ByVal id As Short, _
                                ByVal dat As Integer, _
                                ByVal time As Byte) _
                            As Short
    End Function
    <DllImport("TUSBINSI.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbins16i_EdgeRead(ByVal id As Short, _
                                 ByRef dat As Integer) _
                             As Short
    End Function
    ' Error Message (Open Function)
    Public Sub Tusbins16i_OpenErrorDisp(ByVal ErrCode As Short)
        Dim Message As String

        Select Case ErrCode
            Case 0
                Message = "ɏI܂"
            Case 1
                Message = "IDԍsł"
            Case 3
                Message = "łɃfoCX̓I[vĂ܂"
            Case 4
                Message = "ڑĂ䐔܂"
            Case 5
                Message = "I[vł܂ł"
            Case 6
                Message = "foCX܂ł"
            Case Else
                Message = "sȃG[ł"
        End Select

        MessageBox.Show(Message)
    End Sub
    ' Error Message
    Public Sub Tusbins16i_ErrorDisp(ByVal ErrCode As Short)
        Dim Message As String

        Select Case ErrCode
            Case 0
                Message = "ɏI܂"
            Case 1
                Message = "̃foCX̓I[vĂ܂"
            Case 2
                Message = "s܂"
            Case Else
                Message = "sȃG[ł"
        End Select

        MessageBox.Show(Message)
    End Sub
End Module
